tvbrowser.ui.programtable.background

## Class AbstractBackPainter

- java.lang.Object
- - tvbrowser.ui.programtable.background.AbstractBackPainter

- All Implemented Interfaces:
    BackgroundPainter
  Direct Known Subclasses:
    AbstractCellBasedBackPainter, OneImageBackPainter, SingleColorBackPainter, TimeBlockBackPainter, UiColorBackPainter, UiTimeBlockBackPainter

      public abstract class AbstractBackPainter
      extends java.lang.Object
      implements BackgroundPainter

  Author:
    Til Schneider, www.murfman.de

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBackPainter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `fillImage(java.awt.Graphics grp, int x, int y, int width, int height, java.awt.Image img, java.awt.Rectangle clipBounds)`
    `javax.swing.JComponent` | `getTableWest()` Gets the component that should be shown in the west of the table.
    `void` | `layoutChanged(ProgramTableLayout layout, ProgramTableModel model)` Is called when the table's layout has changed.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.ui.programtable.background.BackgroundPainter

      `paintBackground`

- - ### Constructor Detail

    - #### AbstractBackPainter

          public AbstractBackPainter()

  - ### Method Detail

    - #### layoutChanged

          public void layoutChanged(ProgramTableLayout layout,
                           ProgramTableModel model)

      Is called when the table's layout has changed.
      Specified by:
        `layoutChanged` in interface `BackgroundPainter`

    - #### fillImage

          protected void fillImage(java.awt.Graphics grp,
                       int x,
                       int y,
                       int width,
                       int height,
                       java.awt.Image img,
                       java.awt.Rectangle clipBounds)

    - #### getTableWest

          public javax.swing.JComponent getTableWest()

      Gets the component that should be shown in the west of the table.

      If nothing should be shown in the west, null is returned.

      Specified by:
        `getTableWest` in interface `BackgroundPainter`
      Returns:
        The table west.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)